tracker issue : CF-4202173

select a category, or use search below
(searches all categories and all time range)
Title:

[ANeff] ER for: CFFiddle needs version selector

| View in Tracker

Status/Resolution/Reason: To Fix//BugVerified

Reporter/Name(from Bugbase): Aaron Neff / ()

Created: 04/27/2018

Components: CFApps, CFFiddle

Versions: 2018

Failure Type: Others

Found In Build/Fixed In Build: /

Priority/Frequency: Normal /

Locale/System: /

Vote Count: 2

History: One use-case for CFFiddle is inclusion of CFFiddle links in our bug/ER tickets. Since bug/ER tickets are often version-specific, the CFFiddle links need a CF version URL parameter.

Issue: If CFFiddle updates the underlying CF version or patch level, then the ticket's CFFiddle link may not produce the same results (ex: if behavior changed in the new CF version/update).

Actual Result: CFFiddle only runs 1 CF version (currently CF2016 Update 6)

Expected Result: CFFiddle should let you choose any supported CF Version (i.e. CF11 Update 11 or CF2016 Update 2 or CF2016 Update 6 or CF2018, etc)

Attachments:

Comments:

Hi Adobe, I'll try to re-phrase.. Without being able to force the version & update level, in CFFiddle URLs, we cannot reliably use CFFiddle for bug/ER repro cases. CFFiddle should support thus: https://cffiddle.org/app/file?filepath=path/to/file.cfm?version=x&update=y See? The version & update URL parameters are needed to allow you to see same result when running our repro case a few months or a year after we filed the ticket. Hope I'm explaining this clearly.. Thanks!, -Aaron
Comment by Aaron N.
31545 | October 04, 2019 08:42:25 AM GMT